import Vue from 'vue'
import App from './App.vue'
import router from './router'
import ElementUI from 'element-ui';
import 'element-ui/lib/theme-chalk/index.css';
//引入初始化样式
import './assets/css/base.css'
Vue.use(ElementUI);

// 封装一个mixin，用来为所有dom添加一个 accessible 的类
const addClass = {
  mounted() {
    let nodes = document.all;
    for (let i = 0; i < nodes.length; i++) {
      let o = nodes[i];
      o.classList.add('accessible')
    }
  }
}
Vue.mixin(addClass)


Vue.config.productionTip = false
new Vue({
  router,
  render: h => h(App)
}).$mount('#app')


